export declare class SparkleUserEnrollment {
  enrollmentFormControls: {
    ShortCode: {
      isValid: boolean;
      value: string;
      validate: (value: any) => boolean;
    };
  };
  enrollmentFormSubmitted: boolean;
  changeEnrollmentFormValue(controlName: any, value: any): void;
  handleEnrollmentFormSubmit(e: any): Promise<void>;
  leaveClass(enrollmentId: any): Promise<void>;
  renderEnrollmentList(): any;
  render(): any;
}
